Skip to main content
POST
Get metrics with filtering and grouping

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Metrics query parameters including filters, environments, and pagination

from_timestamp_sec
integer

Start time in Unix seconds timestamp.

Example:

1772905218

to_timestamp_sec
integer

End time in Unix seconds timestamp.

Example:

1772905218

cursor
integer

Pagination cursor for fetching the next page of results. The cursor is returned in the response to the previous request.

Example:

1772905218000

environments
string[]

List of environments to filter by

Example:
filters
object[]
limit
integer

Maximum number of metrics to return per page.

Example:

50

logical_operator
enum<string>
Available options:
AND,
OR
metric_name
string

Metric name to filter by. The metric_name is a metric attribute that is set on the metric object.

Example:

"answer relevancy"

metric_source
string

Metric source to filter by. The metric_source is a metric attribute that is set on the metric object.

Example:

"llm_as_a_judge"

sort_by
string

Field to sort by.

Example:

"timestamp"

sort_order
string

Sort order.

Example:

"ASC"

Response

Grouped metrics with data points

metrics
object